# List US bank accounts List USBankAccount objects. Optionally filter by verification status. ## Parameters - `limit` (integer, optional) Optionally set the maximum number of results per page. Defaults to 10. - `page` (string, optional) The pagination token. - `verification_status` (string, optional) Optionally filter by verification status. Mutually exclusive with `unverified`, `verified`, `awaiting_verification`, and `verification_failed`. ## Returns ## Response attributes - `data` (array of objects) The retrieved US Bank Accounts. - `data.id` (string) The ID of the USBankAccount object. - `data.object` (string, value is "v2.core.vault.us_bank_account") String representing the object’s type. Objects of the same type share the same value of the object field. - `data.alternative_reference` (object, nullable) The alternative reference for this payout method, if it’s a projected payout method. - `data.alternative_reference.id` (string) The ID of the alternative resource being referenced. - `data.alternative_reference.type` (enum) The type of the alternative reference (e.g., external_account for V1 external accounts). Possible enum values: - `external_account` V1 External Account. - `payment_method` V1 Payment Method. - `data.archived` (boolean) Whether this USBankAccount object was archived. - `data.bank_account_type` (enum) The type of bank account (checking or savings). Possible enum values: - `checking` Checkings account. - `savings` Savings account. - `data.bank_name` (string) The name of the bank this bank account belongs to. This field is populated automatically by Stripe based on the routing number. - `data.created` (timestamp) Creation time of the object. - `data.fedwire_routing_number` (string, nullable) The fedwire routing number of the bank account. - `data.financial_connections_account` (string, nullable) The ID of the Financial Connections Account used to create the bank account. - `data.last4` (string) The last 4 digits of the account number. - `data.livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `data.routing_number` (string, nullable) The ACH routing number of the bank account. - `data.verification` (object) The bank account verification details. - `data.verification.microdeposit_verification_details` (object, nullable) The microdeposit verification details if the status is awaiting verification. - `data.verification.microdeposit_verification_details.expires` (timestamp) Time when microdeposits will expire and have to be re-sent. - `data.verification.microdeposit_verification_details.microdeposit_type` (enum) Microdeposit type can be amounts or descriptor_type. - `data.verification.microdeposit_verification_details.sent` (timestamp) Time when microdeposits were sent. - `data.verification.status` (enum) The bank account verification status. Possible enum values: - `awaiting_verification` Verification of the bank account has been initiated and requires further action to be completed. - `unverified` The bank account is unverified. - `verification_failed` Verification of the bank account has failed. - `verified` The bank account is verified. - `next_page_url` (string, nullable) The URL to retrieve the next page if there are more US Bank Accounts to retrieve. - `previous_page_url` (string, nullable) The URL to retrieve the previous page if this is not the first page. ```curl curl -G https://api.stripe.com/v2/core/vault/us_bank_accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-01-28.preview" \ -d limit=10 \ -d verification_status=unverified ``` ### Response ```json { "data": [ { "id": "usba_61TcA4tJ8SWeDTsLf16Tc9w10HSQBCfqQyjGBBCa8Pey", "object": "v2.core.vault.us_bank_account", "alternative_reference": null, "archived": false, "bank_account_type": "checking", "bank_name": "Test Bank", "created": "2025-11-12T22:02:31.150Z", "fedwire_routing_number": null, "financial_connections_account": null, "last4": "6789", "routing_number": "110000000", "verification": { "microdeposit_verification_details": null, "status": "unverified" }, "livemode": true } ], "next_page_url": null, "previous_page_url": null } ```